sysutils/py-rospkg

ROS basic utilities for querying stacks information
Directory:
sysutils/py-rospkg (package's history)
Package version:
py27-rospkg-1.0.29r1
Home page:
http://ros.org/wiki/rospkg
License:
modified-bsd
Source archive:
https://github.com/ros/rospkg/archive/1.0.29.tar.gz
Description:
The rospkg Python module provides basic utilities for querying information about ROS packages, stacks, and distributions. There are several basic APIs: ROS environment, RosPack/RosStack, OS detection, and distributions. The environment APIs enable access to environment settings that define the ROS package/stack filesystem configuration. The RosPack and RosStack APIs are similar to the rospack and rosstack command-line tools and provide information about dependency, location, and other package/stack metadata. The Manifest class provides access to a specific package/stack’s manifest information. NOTE: the Manifest class API is still volatile. Where possible, use the relevant RosPack/RosStack APIs to access manifest-related information instead (e.g. dependency relationships). The rospkg.distro sub-module provides access to ROS distribution files, which describe collections of ROS stacks releases. This API is module is still unstable and mainly supports internal tools.
Run dependencies:
libstdc++, python27>=2.7<2.8
Build dependencies:
digest>=20080510, g++>=3, gcc>=3, patch>=2.0, pax, pkg_install>=20110805.7, tnftp>=20130505~ssl
General options:
debug
Produce debugging information for binary programs
c++-compiler alternatives:
g++
Use the GNU C++ compiler
clang++
Use the LLVM C++ compiler
ccache-g++
Use ccache and the GNU C++ compiler
ccache-clang++
Use ccache and the LLVM C++ compiler
c-compiler alternatives:
gcc
Use the GNU C compiler
clang
Use the LLVM C compiler
ccache-gcc
Use ccache and the GNU C compiler
ccache-clang
Use ccache and the LLVM C compiler
python alternatives:
python26
Use python-2.6
python27
Use python-2.7
python31
Use python-3.1
python32
Use python-3.2
python33
Use python-3.3
python34
Use python-3.4
python35
Use python-3.5